clang 10.0.0git

Functions
ExprEngineObjC.cpp File Reference
`#include "clang/AST/StmtObjC.h"`
`#include "clang/StaticAnalyzer/Core/CheckerManager.h"`
`#include "clang/StaticAnalyzer/Core/PathSensitive/CallEvent.h"`
`#include "clang/StaticAnalyzer/Core/PathSensitive/ExprEngine.h"`
Include dependency graph for ExprEngineObjC.cpp:

Go to the source code of this file.

## Functions
static void | populateObjCForDestinationSet (ExplodedNodeSet &dstLocation, SValBuilder &svalBuilder, const ObjCForCollectionStmt *S, const Stmt *elem, SVal elementV, SymbolManager &SymMgr, const NodeBuilderContext *currBldrCtx, StmtNodeBuilder &Bldr, bool hasElements)
| Generate a node in `Bldr` for an iteration statement using ObjC for-loop iterator. More...

## Function Documentation

## ◆ populateObjCForDestinationSet()

static void populateObjCForDestinationSet | ( | ExplodedNodeSet & | dstLocation,
|  | SValBuilder & | svalBuilder,
|  | const ObjCForCollectionStmt * | S,
|  | const Stmt * | elem,
|  | SVal | elementV,
|  | SymbolManager & | SymMgr,
|  | const NodeBuilderContext * | currBldrCtx,
|  | StmtNodeBuilder & | Bldr,
|  | bool | hasElements
| ) |  |
| static

Generate a node in `Bldr` for an iteration statement using ObjC for-loop iterator.

Definition at line 46 of file ExprEngineObjC.cpp.